Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006609opensim[GRID] Robust Serverpublic2013-04-27 12:062013-05-13 15:52
Reporterkenvc 
Assigned ToDiva 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Xeon Quad core 32 gig ramOSWindowsOS VersionServer 64 bit
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006609: Robust - Several red error messages showing at startup related to Hypergrid started within last few days.
DescriptionThis is always reproducible. My Robust ini file is exactly as it has been for weeks (since the last code change that required a change in this file). Is it possible that the contents of the Robust.HG.ini.example file are not completely current because of a recent dev master code change in the last few days???

On startup several red error messages started showing up that I have never seen before. Noticed it this morning after updating to the latest dev master, but it could have happened as long as a few days ago and just now noticed it.

See error messages below in additional information

The [Startup] section of my Robust.ini is exactly like the .example file other than uncommenting the lines that handle hypergrid V2 messaging and groups... and its been this way for a couple of months or so with no issues:

[ServiceList]

AssetServiceConnector = "8003/OpenSim.Server.Handlers.dll:AssetServiceConnector"
InventoryInConnector = "8003/OpenSim.Server.Handlers.dll:XInventoryInConnector"
;; Uncomment if you have set up Freeswitch (see [FreeswitchService] below)
; VoiceConnector = "8004/OpenSim.Server.Handlers.dll:FreeswitchServerConnector"
GridServiceConnector = "8003/OpenSim.Server.Handlers.dll:GridServiceConnector"
GridInfoServerInConnector = "8002/OpenSim.Server.Handlers.dll:GridInfoServerInConnector"
AuthenticationServiceConnector = "8003/OpenSim.Server.Handlers.dll:AuthenticationServiceConnector"
OpenIdServerConnector = "8002/OpenSim.Server.Handlers.dll:OpenIdServerConnector"
AvatarServiceConnector = "8003/OpenSim.Server.Handlers.dll:AvatarServiceConnector"
LLLoginServiceInConnector = "8002/OpenSim.Server.Handlers.dll:LLLoginServiceInConnector"
PresenceServiceConnector = "8003/OpenSim.Server.Handlers.dll:PresenceServiceConnector"
UserAccountServiceConnector = "8003/OpenSim.Server.Handlers.dll:UserAccountServiceConnector"
GridUserServiceConnector = "8003/OpenSim.Server.Handlers.dll:GridUserServiceConnector"
FriendsServiceConnector = "8003/OpenSim.Server.Handlers.dll:FriendsServiceConnector"
MapAddServiceConnector = "8003/OpenSim.Server.Handlers.dll:MapAddServiceConnector"
MapGetServiceConnector = "8002/OpenSim.Server.Handlers.dll:MapGetServiceConnector"

;; Uncomment this if you want offline IM to work
OfflineIMServiceConnector = "8003/OpenSim.Addons.OfflineIM.dll:OfflineIMServiceRobustConnector"
;; Uncomment this if you want Groups V2 to work
GroupsServiceConnector = "8003/OpenSim.Addons.Groups.dll:GroupsServiceRobustConnector"

;; Additions for Hypergrid

GatekeeperServiceInConnector = "8002/OpenSim.Server.Handlers.dll:GatekeeperServiceInConnector"
UserAgentServerConnector = "8002/OpenSim.Server.Handlers.dll:UserAgentServerConnector"
HeloServiceInConnector = "8002/OpenSim.Server.Handlers.dll:HeloServiceInConnector"
HGFriendsServerConnector = "8002/OpenSim.Server.Handlers.dll:HGFriendsServerConnector"
InstantMessageServerConnector = "8002/OpenSim.Server.Handlers.dll:InstantMessageServerConnector"
HGInventoryServiceConnector = "HGInventoryService@8002/OpenSim.Server.Handlers.dll:XInventoryInConnector"
HGAssetServiceConnector = "HGAssetService@8002/OpenSim.Server.Handlers.dll:AssetServiceConnector"

;; Uncomment this if you want Groups V2, HG to work
HGGroupsServiceConnector = "8002/OpenSim.Addons.Groups.dll:HGGroupsServiceRobustConnector"

;; Additions for other add-on modules. For example:
;WifiServerConnector = "8002/Diva.Wifi.dll:WifiServerConnector"

; * This is common for all services, it's the network setup for the entire
; * server instance, if none is specified above
; *


Steps To ReproduceSetup Robust to support all the latest Hypergrid options in [Startup] and watch for the red error messages.
Additional Information2013-04-27 13:54:53,752 ERROR - OpenSim.Server.Base.ServerUtils [SERVER UTILS]: Error loading plugin OpenSim.Server.Handlers.dll: Constructor on type 'OpenSim.Server.Handlers.Hypergrid.GatekeeperServiceInConnector' not found.
2013-04-27 13:54:53,767 DEBUG - OpenSim.Server.Handlers.Hypergrid.HypergridHandlers [HYPERGRID HANDLERS]: Active
2013-04-27 13:54:53,767 INFO - OpenSim.Server.OpenSimServer [SERVER]: GatekeeperServiceInConnector loaded successfully
2013-04-27 13:54:53,767 INFO - OpenSim.Server.OpenSimServer [SERVER]: Loading UserAgentServerConnector on port 8002
2013-04-27 13:54:53,767 ERROR - OpenSim.Server.Base.ServerUtils [SERVER UTILS]: Error loading plugin OpenSim.Server.Handlers.dll: Constructor on type 'OpenSim.Server.Handlers.Hypergrid.UserAgentServerConnector' not found.
2013-04-27 13:54:53,767 INFO - OpenSim.Server.OpenSimServer [SERVER]: UserAgentServerConnector loaded successfully
2013-04-27 13:54:53,767 INFO - OpenSim.Server.OpenSimServer [SERVER]: Loading HeloServiceInConnector on port 8002
2013-04-27 13:54:53,767 INFO - OpenSim.Server.OpenSimServer [SERVER]: HeloServiceInConnector loaded successfully
2013-04-27 13:54:53,767 INFO - OpenSim.Server.OpenSimServer [SERVER]: Loading HGFriendsServerConnector on port 8002
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: FriendsStore data tables already up to date at revision 3
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: UserAccount data tables already up to date at revision 4
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: GridStore data tables already up to date at revision 9
2013-04-27 13:54:53,783 DEBUG - OpenSim.Services.GridService.GridService [GRID SERVICE]: Starting...
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: AuthStore data tables already up to date at revision 3
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: InventoryStore data tables already up to date at revision 6
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: Avatar data tables already up to date at revision 2
2013-04-27 13:54:53,783 DEBUG - OpenSim.Services.AvatarService.AvatarService [AVATAR SERVICE]: Starting avatar service
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: GridStore data tables already up to date at revision 9
2013-04-27 13:54:53,783 DEBUG - OpenSim.Services.GridService.GridService [GRID SERVICE]: Starting...
2013-04-27 13:54:53,783 DEBUG - OpenSim.Data.Migration [MIGRATIONS]: Presence data tables already up to date at revision 2
2013-04-27 13:54:53,799 DEBUG - OpenSim.Services.PresenceService.PresenceService [PRESENCE SERVICE]: Starting presence service
2013-04-27 13:54:53,799 DEBUG - OpenSim.Services.HypergridService.HGFriendsService [HGFRIENDS SERVICE]: Starting...
2013-04-27 13:54:53,799 DEBUG - OpenSim.Server.Handlers.Hypergrid.HGFriendsServerPostHandler [HGFRIENDS HANDLER]: HGFriendsServerPostHandler is On (robust)
2013-04-27 13:54:53,799 INFO - OpenSim.Server.OpenSimServer [SERVER]: HGFriendsServerConnector loaded successfully
2013-04-27 13:54:53,799 INFO - OpenSim.Server.OpenSimServer [SERVER]: Loading InstantMessageServerConnector on port 8002
2013-04-27 13:54:53,799 ERROR - OpenSim.Server.Base.ServerUtils [SERVER UTILS]: Error loading plugin OpenSim.Server.Handlers.dll: Constructor on type 'OpenSim.Server.Handlers.Hypergrid.InstantMessageServerConnector' not found.
TagsNo tags attached.
Git Revision or version numberr/22636
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0023801)
Diva (administrator)
2013-04-27 17:19

This is not important. I'll make the error messages go away soon.
(0023802)
kenvc (reporter)
2013-04-27 19:18

OK, thanks!
(0023827)
aiaustin (developer)
2013-05-02 06:23
edited on: 2013-05-02 06:25

Ah, I see this message now... as I was getting these errors too... red usually means serious so I always try to track them down.

For the record, here is a note I just asked in OpenSim-users about.

I updated the Openvue grid from 2013-04-08 r/22580 99f3983 to 30-April-2013 r/22648 ac135c6 and note 3 red errors on the Robust.exe startup. I have carefully (I think) checked the relevant service connectors and the relevant sections for the .ini parameters in Robust.HG.ini and they have not changed as far as I can tell between these releases, and the Robust.HG.ini.example looks the same as I have them.

I just updated further to the latest 2-May-2013 r/22658 and that makes no difference, the three errors are still there on Robust.exe startup.

If I revert to using 2013-04-08 r/22580 99f3983 there are no errors with Robust.exe startup. So the problem seems to have appeared somewhere between r/22590 and r/22648.


12:58:10 - [SERVER]: Loading LLLoginServiceInConnector on port 8002
12:58:10 - [SERVER UTILS]: Error loading plugin OpenSim.Server.Handlers.dll: Constructor on type 'OpenSim.Server.Handlers.Login.LLLoginServiceInConnector' not found.

12:58:10 - [SERVER]: Loading GatekeeperServiceInConnector on port 8002
12:58:10 - [SERVER UTILS]: Error loading plugin OpenSim.Server.Handlers.dll: Constructor on type 'OpenSim.Server.Handlers.Hypergrid.GatekeeperServiceInConnector' not found.

12:58:11 - [SERVER]: Loading InstantMessageServerConnector on port 8002
12:58:11 - [SERVER UTILS]: Error loading plugin OpenSim.Server.Handlers.dll: Constructor on type 'OpenSim.Server.Handlers.Hypergrid.InstantMessageServerConnector' not found.

(0023829)
BlueWall (administrator)
2013-05-03 05:49
edited on: 2013-05-03 06:01

Diva, I have fixed these here, do you want me to push what I have or wait?

ed: Actually scratch that, "Fix" actually broke it in testing. I will wait.

(0023872)
aiaustin (developer)
2013-05-12 14:32

I am still seeing the three red error messages on Robust.exe startup on Openvue grid, and on a new clean grid test setup I am using to preare for a new server. m I correct from what Diva says to not worry about these messages? I am trying to prepare the ground to get a solid basis for a new grid to being across Openvue content and clean out the accumulated trash from 6 years of operations.
(0023877)
Diva (administrator)
2013-05-13 13:08

<cia-opensim> opensim: diva * r4194d935ecd2 OpenSim/Server (5 files in 3 dirs):
<cia-opensim> Fixed mantis 0006609 -- LoadPlugin error messages on Robust.
(0023879)
kenvc (reporter)
2013-05-13 15:43

Thanks Diva. This issue does appear to be fixed.

- Issue History
Date Modified Username Field Change
2013-04-27 12:06 kenvc New Issue
2013-04-27 12:08 kenvc Description Updated View Revisions
2013-04-27 17:08 kenvc Description Updated View Revisions
2013-04-27 17:08 kenvc Steps to Reproduce Updated View Revisions
2013-04-27 17:12 kenvc Description Updated View Revisions
2013-04-27 17:18 kenvc Summary Robust - Several new red error messages showing at startup related to Hypergrid => Robust - Several red error messages showing at startup related to Hypergrid started within last few days.
2013-04-27 17:18 kenvc Description Updated View Revisions
2013-04-27 17:19 Diva Note Added: 0023801
2013-04-27 19:18 kenvc Note Added: 0023802
2013-05-02 06:23 aiaustin Note Added: 0023827
2013-05-02 06:24 aiaustin Note Edited: 0023827 View Revisions
2013-05-02 06:24 aiaustin Note Edited: 0023827 View Revisions
2013-05-02 06:25 aiaustin Note Edited: 0023827 View Revisions
2013-05-03 05:49 BlueWall Note Added: 0023829
2013-05-03 06:01 BlueWall Note Edited: 0023829 View Revisions
2013-05-12 14:32 aiaustin Note Added: 0023872
2013-05-13 11:37 Diva Assigned To => Diva
2013-05-13 11:37 Diva Status new => assigned
2013-05-13 13:08 Diva Note Added: 0023877
2013-05-13 15:43 kenvc Note Added: 0023879
2013-05-13 15:43 kenvc Status assigned => resolved
2013-05-13 15:43 kenvc Fixed in Version => master (dev code)
2013-05-13 15:43 kenvc Resolution open => fixed
2013-05-13 15:52 kenvc Status resolved => closed
2014-01-23 15:41 justincc Category Robust Server => [GRID] Robust Server


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker